Actualizar a la última CURL y de Open SSL en WHM

Problema:
proveedores de comercio electrónico como Paypal introdujo más estrictos requisitos de SSL. Ex:
“requiere OpenSSL >= 1.0.1 para ser instalado en el servidor”

Muestra información PHP:
RIZO
SSL versión OpenSSL/1.0.0

Fijar:

  • Instalar el último rizo:

cd / usr / local / src
wget https://Curl.haxx.se/download/CURL-7.52.1.tar.gz
tar - xvzf rizo-7.52.1.tar.gz
enrollamiento de CD *

./configurar –activar resolución de roscado –Enable-http –habilitar ftp –habilitar proxy –Enable tftp –habilitar ntlm –Enable-static –con ssl = / usr/local/ssl –habilitar ipv6 –enable-compartida –con libidn
hacer && make install

/usr/local/bin/curl –Versión

  • Configurar PHP para usarlo-crear un nuevo /var/cpanel/easy/apache/rawopts/all_php5 de archivo con este contenido:
    –with-Curl=/usr/local/src/CURL-7.52.1
  • Reconstruir Apache & PHP con EasyApache 3.

Resultado:

Ahora debe mostrar la información de PHP:
Rizar la información 7.52.1
SSL versión OpenSSL/1.0.1e

Mejores Plugins para optimizar y asegurar WordPress

Acelerar y asegurar

  1. WordFence
    Activar cortafuegos, exploraciones periódicas, bloque de inicio de sesión fallido, contraseñas seguras.
  2. WP Super Cache
    La velocidad de entrega de contenido estático y páginas: configurarlo para que los visitantes evitar la sobrecarga por los robots/robots.
  3. Utilizar bibliotecas de Google
    Carga JS de CDN. Reducir la carga de.
  4. WPS ocultar inicio de sesión
    Protección de inicio de sesión de bruta.
  5. Archivo robots.txt
    Editar el archivo robots.txt.
  6. Really Simple SSL
    Redirects pages to HTTPS (SSL required).
  7. Easy WP SMTP
    Use an account to send emails with necessary verifications to reduce spam filtering and lost emails.

Herramientas de solución de problemas

  1. P3 Analizador de rendimiento de Plugin
  2. Servidor IP & Visualización de uso de la memoria

Configuración

  • robots.txt

    Agente de usuario: *
    Crawl-delay: 90
    No permitir: /wp-admin /
    No permitir: /WP-incluye /
    No permitir: /corrientes /
    No permitir: /WP-login.php
    No permitir: /PM *

    Agente de usuario: MJ12bot
    No permitir: /